Множественные уязвимости в My Simple Forum

Дата публикации:
23.04.2009
Дата изменения:
23.04.2009
Всего просмотров:
2026
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
My Simple Forum 7.x
Уязвимые версии: My Simple Forum 7.1, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "Name" в сценарии theme/default/index.template.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "action" в сценариях index.php и theme/default/index.template.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: www.drennansoft.com/index.php?freebie=msf

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: My Simple Forum 7.1 (LFI) Remote Command Execution Exploit

или введите имя

CAPTCHA